List the existing key(s) on a keystore
List the existing key(s) on a keystore
Path parameters
|
keystoreName
string
requiredThe Keystore's name |
Query parameters
|
unusedOnly
boolean
List only keys that are not used anywhere |
Responses
-
200 Private key(s) list
Array [
namestring requiredThe Private Key's name
keystorestring requiredThe Keystore's name on which this Key is stored
descriptionstring (Key type) requiredThe key type
Enumrsa-1024rsa-2048rsa-3072rsa-4096rsa-8192ec-secp256r1ec-secp384r1ec-secp521r1ec-brainpoolp256r1ec-brainpoolp384r1ec-brainpoolp512r1ed-25519ed-448mldsa-44mldsa-65mldsa-87mldsa-44sha512mldsa-65sha512mldsa-87sha512slhdsa-sha2-128sslhdsa-sha2-128fslhdsa-sha2-192sslhdsa-sha2-192fslhdsa-sha2-256sslhdsa-sha2-256fslhdsa-sha2-128ssha256slhdsa-sha2-128fsha256slhdsa-sha2-192ssha512slhdsa-sha2-192fsha512slhdsa-sha2-256ssha512slhdsa-sha2-256fsha512extractableboolean requiredIf true, this Key can be extracted from the Keystore
aliasstringThe Private Key's alias
modifiablebooleanIf true, this Key can be extracted from the Keystore
hardwareProtectedbooleanIf the key is protected by hardware
enforcedHashAlgorithmstring (Hash Algorithm)This Key's Hash Algorithm
EnumSHA1SHA224SHA256SHA384SHA512SHA3_224SHA3_256SHA3_384SHA3_512]
-
204 No key defined
-
401 Unauthorized request
-
403 Forbidden action
-
404 Not Found
-
500 Internal Server error